// ===================================================================
// File:          CBP_Boebot_1c.c
// Date:          08-09-20
// Description:   2403 Worksheet 1 RELEASE
// Author:
// Modifications:
// ==================================================================

// WEbots headers
#include <webots/robot.h>
#include <webots/motor.h> 
#include <webots/distance_sensor.h>
#include <webots/touch_sensor.h>

// C-function headers
#include <stdio.h>
// User function headers
#include "CBP_Helper_1.h"

// Robot Parameters Speed in rad/sec. Distances in metres.
#define TIME_STEP 32
#define MAX_SPEED 0.8*2*PI
#define WHEEL_RADIUS 0.033
#define AXLE_LENGTH 0.103
#define PI 3.14159265358979

// States


// User defined functions. This one prints out the state
void printState(int state) {
  switch(state) {
    case STATE_FORWARD:
      printf("STATE_FORWARD\n");
    break;
    case STATE_BACKWARD:
      printf("STATE_BACKWARD\n");
    break;
    case STATE_TURN:
      printf("STATE_TURN\n");
    break;      
  }
}

// Main routine
int main(int argc, char **argv) {

  // Sensor values

  // Motor speeds
     
  // FSM Stuff
  int state;
  bool done = false;
  
  wb_robot_init();

  // get a handler to the motors and set target position to infinity
  // so motors will interpret commands as speeds


  // Get handles to the  distance sensors and enable them

 
  // Get handles to the whiskers and enable them

  
  state = STATE_FORWARD;
  
  // Loops forever calling robot_step on each loop
  while (wb_robot_step(TIME_STEP) != -1) {
  
    // Get values of left and right distance sensors
 
    // Get values of left and right whiskers  

    
   // printf("lwhisk = %f, rwhisk = %f ldsv = %f, rdsv = %f\n",lwhisk, rwhisk,ldsv,rdsv);       
    switch(state) {
    
      case STATE_FORWARD:

     
        break;   
      case STATE_BACKWARD:


        break;   
      case STATE_TURN:


        break;                
    }
    
    printState(state);
 
    // Finally send speeds to motors
    wb_motor_set_velocity(left_motor, omegaL);
    wb_motor_set_velocity(right_motor, omegaR);
  };

  // Finally robot cleanup
  wb_robot_cleanup();

  return 0;
}
