// ===============================================================
// CBP_Helper6.c
// 08-09-20
// (1) Non-blocking delay function
// ===============================================================

#include <stdio.h>
#include <webots/robot.h>
#include <webots/compass.h>

// Function provides a non-blovking delay ------------------------
bool delay(double delay) {
  static double previous_time;
  static bool done = false;  
  static bool first_pass = true;
  
  if(first_pass){
    previous_time =  wb_robot_get_time();
    first_pass = false;
  }
      
  double current_time = wb_robot_get_time();
  //printf("     prev %f  curr = %f\n",previous_time,current_time);
    
  if(current_time - previous_time > delay) {
    previous_time = current_time;
    done = true;
    first_pass = true;
   // printf("\n");
  } else {
    done = false;  
   // printf(".");
  }
  return done;
}

