
bool delay(double delay);
double getBearing(WbDeviceTag comp);
double getAngleDegrees(WbDeviceTag comp);
double invertLightSensorVals(double val);

typedef struct { double x; double y; } LUT;
double lookUpDistance(LUT *c, double x);
double lookUpDistanceTOF(LUT *c, double x);

LUT c[10] = {
//  {30, 0.5},   // Added CBP
  {67.19, 0.07},
  {104.09, 0.06},
  {120.0, 0.05},
  {158.03, 0.04},
  {234.93, 0.03},
  {383.84, 0.02},
  {601.46, 0.015},
  {1465.63, 0.01},
  {2133.33, 0.005},
  {4095.00, 0.00}
};


LUT cTOF[8] = {
  {19.8, 0.0},
  {58.5, 0.05},
  {111.0,0.10},
  {218.9,0.20},
  {531.9,0.50},
  {1052,1.00},
  {1780.5,1.7},
  {2000, 2.0}			
};